Versionskompatibilität

Dieses Thema enthält die Versionen von im Lieferumfang enthaltenen Werkzeugen sowie die Mindestversionen, die für neuere Versionen von ArcGIS AppStudio unterstützt werden.

Unterstützte Mindestversionen von Betriebssystemen

In der folgenden Tabelle sind die niedrigsten unterstützten Betriebssystemversionen für ArcGIS AppStudio und AppStudio Player aufgeführt. Dabei handelt es sich ebenfalls um die standardmäßig unterstützten Mindestversionen für alle Apps, die mit AppStudio erstellt werden, sofern nicht anders durch den App-Ersteller angegeben.

AppStudio-VersionsnummerWindowsmacOSUbuntuAndroidiOS

5.3

Windows 10

10.15 Catalina

18.04 LTS

6.0 Marshmallow (ARMv7 32 Bit und ARMv8 64 Bit)

13

5.2

5.1

Windows 8.1

5.0

10.14 Mojave

4.4

10.13 High Sierra

16.04 LTS

5.0 Lollipop (ARMv7 32 Bit), 6.0 Marshmallow (ARMv8 64 Bit)

12

4.3

4.2

11

4.1

Windows 7.1

4.0

4.4 KitKat (ARMv7 32 Bit), 6.0 Marshmallow (ARMv8 64 Bit)

Werkzeuge für die App-Erstellung

In der folgenden Tabelle sind die Werkzeuge für die App-Erstellung, die bei den einzelnen AppStudio-Versionen im Lieferumfang enthalten sind, aufgeführt:

AppStudio-VersionsnummerArcGIS RuntimeQtQt Creator

5.3

100.13

5.15.6

5.0.2

5.2

100.12

5.1

100.11

5.15.2

4.9.2

5.0

100.10

4.4

100.8

5.13.1

4.3

4.2

100.7

4.1

100.6

4.0

5.12.3

Mindestversion der Werkzeuge für die App-Erstellung

In der folgenden Tabelle sind die Toolkits für die App-Erstellung, die von den einzelnen AppStudio-Versionen verwendet werden, aufgeführt:

AppStudio-VersionsnummerFür macOS und iOS erforderliche Xcode-VersionVersion der Android-Ziel-API

5.3

13

API 30: Android 11

5.2

12

5.1

5.0

API 29: Android 10

4.4

11.2.1

4.3

4.2

API 28: Android 9

4.1

10.1

4.0